Neo4J Desktop NOT COMPATIBLE with Graph Data Science Library

MacOS 10.15.5
neo4J Desktop v 1.4.5

I created a neo4j database (v 4.2.4) to test graph embeddings.
Using the PlugIns tab I loaded APOC 4.2.0.4 loaded fine. However, GDS Library did not load as i received this message.

No compatible version found.

This is odd since in the neo4J GDS Library documentation, the neo4j grpah database version 4.2.4 is compatible with GDS Library 1.5.x
It does not seem so in this case.

A workaround to resolve the neo4J Desktop - GDS Library non-integration issue is to download GDS 1.5.x manually, install in the associated Desktop Project/plugins folder and make the appropriate change to the .conf file.

My hope is that neo4j will fix the "friction points" with neo4j desktop.

It should be fixed now :slight_smile:

@alicia.frame1 I am running into this same issue with the following set up:

  • neo4j 4.4.5
  • neo4j desktop 1.4.15
  • APOC 4.4.0.3
  • mac OS 12.3.1